package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class GgPaidReportFacadeFactory
{
    private GgPaidReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IGgPaidReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgPaidReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("17479D38") ,com.kingdee.eas.custom.gggl.IGgPaidReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IGgPaidReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgPaidReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("17479D38") ,com.kingdee.eas.custom.gggl.IGgPaidReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IGgPaidReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgPaidReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("17479D38"));
    }
    public static com.kingdee.eas.custom.gggl.IGgPaidReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IGgPaidReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("17479D38"));
    }
}